#!/usr/bin/env node
"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const os = __importStar(require("os"));
const commander_1 = require("commander");
const runner_1 = __importDefault(require("./runner"));
commander_1.program
    .version(require('../package').version)
    .usage('<files> -t transform-plugin.js')
    .option('-t, --transform <file>', 'path to the transform file. Can be either a local path or url', './transform.js')
    .option('-c, --cpus <count>', 'determines the number of processes started.', (n) => parseInt(n, 10), Math.max(os.cpus().length - 1, 1))
    .option('-d, --dry', 'dry run: no changes are made to files', false)
    .option('-s, --silent', 'no output', false)
    .parse(process.argv);
const programOptions = commander_1.program.opts();
if (commander_1.program.args.length < 1 || !programOptions.transform) {
    commander_1.program.help();
}
else {
    const options = {
        cpus: programOptions.cpus,
        dry: programOptions.dry,
        silent: programOptions.silent,
    };
    (0, runner_1.default)(programOptions.transform, commander_1.program.args, options);
}
//# sourceMappingURL=bin.js.map